// ComDlg.h
// COMMON DIALOG & FILTERS FUNCTION
// COPYRIGHT BY 3LblDEHb [Team 16]

#ifndef __comdlg_h
#define __comdlg_h

#define OPEN			0
#define SAVE			1

#define FT_BITMAP		10
#define FT_WMF			11
#define FT_ICON			12
#define FT_RC1			13
#define FT_LIST			15
#define FT_UNKNOWN		-1	


char fils[255];
int ind=1;
char files[10240];
//////////////////////////////////////////////////////////
//  
//////////////////////////////////////////////////////////
void AddFilter(char *name,char *filter)
{
	ind-=1;
	for (int cnt=0; cnt<=lstrlen(name); cnt++)
		fils[ind+cnt]=name[cnt];
	ind+=cnt;
	fils[ind]='\0';
	for (cnt=0; cnt<=lstrlen(filter); cnt++)
		fils[ind+cnt]=filter[cnt];
	ind+=cnt;
	fils[ind]='\0';
	ind++;
}
//////////////////////////////////////////////////////////
//   
//////////////////////////////////////////////////////////
bool IsFileExist(char *name)
{
	HANDLE t_file=CreateFile(name,GENERIC_READ,0,0,OPEN_EXISTING,0,0);
	if (t_file==INVALID_HANDLE_VALUE)
		return false;
	else
	{
		CloseHandle(t_file);
		return true;
	}
}
//////////////////////////////////////////////////////////
//   
//////////////////////////////////////////////////////////
void ClearFilter()
{
	fils[0]=0;
	ind=1;
}

//////////////////////////////////////////////////////////
//   / 
//////////////////////////////////////////////////////////
int GetFileName(int mode, HWND hwnd, char *title, int promt, int ismulti, char *initname="", char *defext="")
{
	lstrcpy(files,initname);
	OPENFILENAME ofn;
		ofn.hwndOwner=hwnd;
		ofn.hInstance=NULL;
		ofn.lpstrFilter=fils;
		ofn.lpstrCustomFilter=NULL;
		ofn.nFilterIndex=NULL;
		ofn.lpstrFile=files;
		ofn.nMaxFile=10240;
		ofn.lpstrFileTitle=NULL;
		ofn.nMaxFileTitle=0;
		ofn.lpstrInitialDir=NULL;
		ofn.lpstrTitle=title;
		DWORD stdflag=OFN_PATHMUSTEXIST|OFN_EXPLORER|OFN_NODEREFERENCELINKS;
		ofn.Flags=promt?stdflag|OFN_OVERWRITEPROMPT:stdflag;
		ofn.Flags=ismulti?ofn.Flags|OFN_ALLOWMULTISELECT:ofn.Flags;
		ofn.nFileOffset=0;
		ofn.nFileExtension=0;
		ofn.lpstrDefExt=defext;
		ofn.lCustData=NULL;
		ofn.lpfnHook=NULL;
		ofn.lpTemplateName=NULL;
		ofn.lStructSize=sizeof(OPENFILENAME);
		return mode?GetSaveFileName(&ofn):GetOpenFileName(&ofn);
}

//////////////////////////////////////////////////////////
//    ( )
//////////////////////////////////////////////////////////
int GetCurrentFileType(char *file)
{
	int a=GetCharPos(file,'.',UP);
	file=StrUpr(file+a+1);
	if (!lstrcmp(file,"BMP"))
		return FT_BITMAP;
	else
	if (!lstrcmp(file,"RC1"))
		return FT_RC1;
	else
		return FT_UNKNOWN;
}
#endif
