// List.h
// LIST WORKING ROUTINES
// COPYRIGHT BY 3LblDEHb [Team 16]

#ifndef __list_h
#define __list_h

#include "ComDlg.h"
#include "Dynarray.h"

//////////////////////////////////////////////////////////
//    
//////////////////////////////////////////////////////////
int FillListFromFile(HWND list, char *files)
{
	HANDLE	lstfile;
	char	ffl[10240];
	char	bufer[1024];
	int		pos=-1,lpos=0;
	int		cnt=0;;
	DWORD	temp,temp1,temp2;

	lstfile=CreateFile(files,GENERIC_READ,0,0,OPEN_EXISTING,0,0);									
	if (lstfile==INVALID_HANDLE_VALUE)
		return 0;
	ReadFile(lstfile,ffl,10240,&temp,0);
	CloseHandle(lstfile);
	bufer[0]=0;
	for (temp1=0; temp1<temp; temp1++)
		if (ffl[temp1]!=-1)
		{
			pos++;
			bufer[pos]=ffl[temp1];
		} else
		{
			bufer[pos+1]=0;
			SendMessage(list,LB_ADDSTRING,0,(LPARAM)bufer);
			cnt++;
			temp1+=9;
			for (temp2=0; temp2<6; temp2++)
			sets[temp2][cnt-1]=ffl[lpos+pos+2+temp2];
			lpos=temp1+1;
			pos=-1; 
		}
	return cnt;
}

//////////////////////////////////////////////////////////
//    
//////////////////////////////////////////////////////////
int FillList(HWND list, char *files)
{
	int		pos=0,n,pb,cnt=0;
	bool	flg=true;
	char	bufer[255];
	char	path[255];

	while (files[pos]!=0)
	{
		path[pos]=files[pos];
		pos++;
	}
	path[pos]=0;
	pb=n=pos;
	while ((files[n]!=0)||(files[n+1]!=0))
	{
		lstrcpy(bufer,path);
		if (bufer[pos-1]!='\\') 
			bufer[pos]='\\';
		else pos--;
		n++; pos++;
		while (files[n]!=0)
		{
			bufer[pos]=files[n];
			pos++; n++;
		}
		bufer[pos]=0;
		pos=pb;
		switch (GetCurrentFileType(bufer))
		{
			case FT_RC1:
			case FT_BITMAP:
				SendMessage(list,LB_ADDSTRING,0,(LPARAM)bufer);
				cnt++;
				break;
			case FT_LIST:
				cnt+=FillListFromFile(list,bufer);
				break;
		}
		flg=false;
	}
	if (flg)
	switch (GetCurrentFileType(files))
	{
		case FT_RC1:
		case FT_BITMAP:
			SendMessage(list,LB_ADDSTRING,0,(LPARAM)path);
			cnt++;
			break;
		case FT_LIST:
			cnt+=FillListFromFile(list,files);
			break;
	}
	return cnt;
}

//////////////////////////////////////////////////////////
//     
//////////////////////////////////////////////////////////
void SaveListToFile(HWND list, char *file)
{
	HANDLE		listfile;
	int			pos,n,k,l;
	DWORD		mbflag=MB_OK|MB_ICONWARNING;
	DWORD		temp;
	char		bufer[255];
	char		crlf[3]={0x0D,0x0A,0};

	listfile=CreateFile(files,GENERIC_WRITE,0,0,CREATE_ALWAYS,0,0);
	if (listfile==INVALID_HANDLE_VALUE)
	{
		WARNMESSAGE("    ");
		return ;
	}
	n=SendMessage(list,LB_GETCOUNT,0,0);
	for (pos=0; pos<n; pos++)
	{
		SendMessage(list,LB_GETTEXT,(WPARAM)pos,(LPARAM)files);
		l=lstrlen(files)+1;
		files[l-1]=0xFF;
		for (k=0; k<6; k++)
			files[l+k]=sets[k][pos];
		for (k; k<9; k++)
			files[l+k]=crlf[k-6];
		WriteFile(listfile,files,l+9,&temp,0);
	}			
	CloseHandle(listfile);
}
//////////////////////////////////////////////////////////
// ,     
//////////////////////////////////////////////////////////
void AddToList(HWND target, char *str)
{
	if ((str[0]!='B')||(str[0]!=' '))
		SendMessage(target,LB_ADDSTRING,0,(LPARAM)str);
	return;
}
void AddList(HWND target,char *str)
{
	FillListFromFile(target,str);
	return;
}
#endif