// ConfigSheet.cpp : implementation file
//

#include "stdafx.h"
#include "chkmail.h"
#include "ConfigSheet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CConfigSheet

IMPLEMENT_DYNAMIC(CConfigSheet, CPropertySheet)

CConfigSheet::CConfigSheet(UINT nIDCaption, CWnd* pParentWnd, UINT iSelectPage)
	:CPropertySheet(nIDCaption, pParentWnd, iSelectPage)
{
}

CConfigSheet::CConfigSheet(LPCTSTR pszCaption, CWnd* pParentWnd, UINT iSelectPage)
	:CPropertySheet(pszCaption, pParentWnd, iSelectPage)
{
	m_pageconncfg.Construct(IDD_CONNCFGDLG);
	m_pageaddoptcfg.Construct(IDD_ADDOPTDLG);
	AddPage(&m_pageconncfg);
	AddPage(&m_pageaddoptcfg);

	m_pageconncfg.m_server=AfxGetApp()->GetProfileString("Setting","server","");
	m_pageconncfg.m_user=AfxGetApp()->GetProfileString("Setting","user","");
	m_pageconncfg.m_pass=AfxGetApp()->GetProfileString("Setting","pass","");

	m_pageaddoptcfg.m_timeout=AfxGetApp()->GetProfileInt("Setting","timeout",60000)/1000;
	m_pageaddoptcfg.m_wave=AfxGetApp()->GetProfileString("Setting","sound","");
	m_pageaddoptcfg.m_command=AfxGetApp()->GetProfileString("Setting","command","");
	m_pageaddoptcfg.m_address=AfxGetApp()->GetProfileString("Setting","forward address","");
	m_pageaddoptcfg.m_forward=AfxGetApp()->GetProfileInt("Setting","forward",0);

	m_psh.dwFlags |= PSH_NOAPPLYNOW;
	m_psh.dwFlags &= ~(PSH_HASHELP);
	GetPage(0)->m_psp.dwFlags &= ~(PSP_HASHELP);
	GetPage(1)->m_psp.dwFlags &= ~(PSP_HASHELP);
}

CConfigSheet::~CConfigSheet()
{
}


BEGIN_MESSAGE_MAP(CConfigSheet, CPropertySheet)
	//{{AFX_MSG_MAP(CConfigSheet)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CConfigSheet message handlers

BOOL CConfigSheet::OnInitDialog() 
{
	BOOL bResult = CPropertySheet::OnInitDialog();
	
	// TODO: Add your specialized code here
	GetDlgItem(IDOK)->SetWindowText("");
	GetDlgItem(IDCANCEL)->SetWindowText("");

	SetActivePage(1);
	return bResult;
}
