{
  Header file of Monster FTP Client

  Please backup this file and read the comment carefully before
  you make any changes of this file.
}

{-$define COMPATIBLE}         // If you got any trouble in upgrading old
                              // version, enable this

{-$define DISPLAY_REAL_SIZE}  // Display real size in bytes instead of
                              // approximate size in kilobytes in
                              // TMFtpListView

{$define ENHANCED_LISTING_PARSING}
                              // A bit slower, but provide more details
                              // like owner & group (for UNIX style FTPD
                              // only)

{-$define EXPORT_IMAGES}      // Define this if you want to make something
                              // different

{-$define INCOMPLETE}         // Enable/Disable incompleted code

{$define OPTIMIZATION}        // Use optimized routines instead of ones
                              // in sysutils.pas

{-$define OVERLAY_MASK}       // Display symbol-link as a shortcut in Explorer in
                              // TMFtpListView and TMFtpTreeView

{-$define USE_RETRYING_TIMER} // Use TTimer instead of repeat/until during
                              // the waiting time of two trying

{$define VIRTUAL_LISTVIEW}    // Make TMFtpListView virtual

{$define WINSOCK2}            // Determine weather use Winsock 2

{$ifdef VIRTUAL_LISTVIEW}
   {-$define DISPLAY_PARENT_DIRECTORY}
{$endif}

{$ifdef VER120}               // Delphi 4
   {$define COMPILER_OK}
{$endif}

{$IFDEF VER130}               // Delphi 5
   {$define COMPILER_OK}
{$endif}

{$ifdef VER125}               // C++ Builder 4
   {$define COMPILER_OK}
{$endif}

const
   IN_BUFFER_SIZE  = 4096;   // Change the size of there two buffers
   OUT_BUFFER_SIZE = 1514;   // will take effect of the speed of
                             // downloading/uploading file

   EVENT_COUNT = 16;         // Just a counter
   MAX_HANDLERS = 4;         // Normally, you should not change this value
                             // if Register... always returns TRUE

   MAX_PRELOAD_LEVEL = 2;    // Specifies the levels of directories should be
                             // loaded from cache when one directory is
                             // selected. The value can be any unsigned
                             // integer number except zero

const
   DefaultDateTime = '1/1/80 12:00';

// Localization

{$define ENGLISH}

{$ifdef ENGLISH}  {$I English.Msg}  {$endif}      // English
{$ifdef FRENCH}   {$I French.Msg}   {$endif}      // French (K.Alex)
{$ifdef CHINESE}  {$I Chinese.Msg}  {$endif}      // Simplified Chinese

{$ifndef COMPILER_OK}
   READ_FOLLOWING_LINES      // this line stops compiler

   {
      Sorry, this version of MFTP requires
      Delphi/C++ Builder 4 or later version.
   }

   const Error_Here = 'Error here!';
{$endif}
