// AddoptPage.cpp : implementation file
//

#include "stdafx.h"
#include "chkmail.h"
#include "AddoptPage.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAddoptPage property page

IMPLEMENT_DYNCREATE(CAddoptPage, CPropertyPage)

CAddoptPage::CAddoptPage() : CPropertyPage(CAddoptPage::IDD)
{
	//{{AFX_DATA_INIT(CAddoptPage)
	m_timeout = 0;
	m_wave = _T("");
	m_command = _T("");
	m_address = _T("");
	m_forward = FALSE;
	//}}AFX_DATA_INIT
}

CAddoptPage::~CAddoptPage()
{
}

void CAddoptPage::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAddoptPage)
	DDX_Text(pDX, IDC_EDIT1, m_timeout);
	DDX_Text(pDX, IDC_EDIT2, m_wave);
	DDX_Text(pDX, IDC_EDIT3, m_command);
	DDX_Text(pDX, IDC_EDIT4, m_address);
	DDX_Check(pDX, IDC_CHECK1, m_forward);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CAddoptPage, CPropertyPage)
	//{{AFX_MSG_MAP(CAddoptPage)
	ON_BN_CLICKED(IDC_CHANGEWAVE, OnChangewave)
	ON_BN_CLICKED(IDC_CHANGECOMM, OnChangecomm)
	ON_BN_CLICKED(IDC_CHECK_FORWARD, OnCheckForward)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAddoptPage message handlers

void CAddoptPage::OnChangewave() 
{
	CFileDialog fdlg(TRUE,"wav",NULL,OFN_PATHMUSTEXIST,"Wave Sound(*.wav)|*.wav||",this);
	if( fdlg.DoModal()==IDOK )
	{
		m_wave=fdlg.GetPathName();
		UpdateData(FALSE);
	}	
}

void CAddoptPage::OnChangecomm() 
{
	CFileDialog fdlg(TRUE,"EXE",NULL,OFN_PATHMUSTEXIST,"Application|*.exe||",this);
	if( fdlg.DoModal()==IDOK )
	{
		m_command=fdlg.GetPathName();
		UpdateData(FALSE);
	}	
}

void CAddoptPage::OnCheckForward() 
{
	UpdateData(TRUE);

	if(m_forward)
	{
		GetDlgItem(IDC_EDIT_ADDRESS)->EnableWindow(TRUE);
		GetDlgItem(IDC_EDIT_ADDRESS)->SetFocus();
	}
	else
		GetDlgItem(IDC_EDIT_ADDRESS)->EnableWindow(FALSE);	
}

BOOL CAddoptPage::OnInitDialog() 
{
	CPropertyPage::OnInitDialog();
	
	// TODO: Add extra initialization here
	if( !m_forward )
		GetDlgItem(IDC_EDIT_ADDRESS)->EnableWindow(FALSE);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
