PROGRAM ZTest;

USES Crt,FosCom,TransData,Tpz;

VAR TimeCounter  : LONGINT ABSOLUTE $40:$6C;

    send,
    fehler       : BOOLEAN;

    i,
    errnr,
    kanal        : WORD;

    zeile,
    fname        : STRING;

    taste        : CHAR;

    time,
    baudrate,
    transferrate : LONGINT;


(*************************************************************************)

FUNCTION WordToString (wert,stellen : WORD) : STRING;

  VAR
    i    : WORD;

    line : STRING [10];

BEGIN
  Str (wert:stellen,line);
  FOR i:=1 TO Length (line) DO IF (line[i] = ' ') THEN line [i]:='0';
  WordToString:=line;
END;  (* of WordToString *)


(*************************************************************************)

FUNCTION LongIntToString (wert : LONGINT ; stellen : WORD) : STRING;

  VAR
    i    : WORD;

    line : STRING [10];

BEGIN
  Str (wert:stellen,line);
  FOR i:=1 TO Length (line) DO IF (line[i] = ' ') THEN line [i]:='0';
  LongIntToString:=line;
END;  (* of WordToString *)


(*************************************************************************)

{$F+}
PROCEDURE DisplayFileData;

BEGIN
  HighVideo;
  GotoXY (20,1);
  Write (TransferName);

  CASE FileAddition OF
        NewFile : Write (' (New)');
    ReplaceFile : Write (' (Replace)');
    RecoverFile : Write (' (Recover)');
  END;  (* of CASE *)

  ClrEol;

  GotoXY (20,3);
  Write (TransferCheck);
  GotoXY (20,4);
  Write (WordToString (TransferTotalTime DIV 60,2));
  Write (':');
  Write (WordToString (TransferTotalTime MOD 60,2));
  GotoXY (20,5);
  Write ('00:00');
  GotoXY (20,6);
  Write (TransferError:5);
  GotoXY (40,5);
  Write (TransferSize:7);
  GotoXY (40,6);
  Write (TransferCount + TransferBytes:7);
  IF (Length (TransferMessage) > 0) THEN BEGIN
    GotoXY (10,8);
    ClrEol;
    Write (TransferMessage);
    TransferMessage:='';
  END;  (* of IF *)
  LowVideo;
END;  (* of DisplayTransferData *)
{$F-}


(*************************************************************************)

{$F+}
PROCEDURE DisplayTransferData;

  VAR
    p,
    rate : WORD;

    time : LONGINT;

BEGIN
  time:=(TimeCounter - TransferTime) DIV 18;

  IF (time > 0) THEN
    rate:=WORD (TransferBytes DIV time)
  ELSE rate:=0;

  p:=WORD (LONGINT (rate) * 100 DIV LONGINT (transferrate DIV 10));
  IF (p > 9999) THEN p:=9999;

  HighVideo;
  GotoXY (20,5);
  Write (WordToString (time DIV 60,2));
  Write (':');
  Write (WordToString (time MOD 60,2));
  GotoXY (20,6);
  Write (TransferError:5);
  GotoXY (42,3);
  Write (TransferBlockSize:5);
  GotoXY (42,4);
  Write (rate:5);
  GotoXY (50,4);
  Write (p:4);
  GotoXY (40,6);
  Write (TransferCount + TransferBytes:7);
  IF (Length (TransferMessage) > 0) THEN BEGIN
    GotoXY (10,8);
    ClrEol;
    Write (TransferMessage);
    TransferMessage:='';
  END;  (* of IF *)
  LowVideo;
END;  (* of DisplayTransferData *)
{$F-}

Const COMPort  : ARRAY [1..4] OF WORD    = ( $03F8, $02F8,$03E8,$2E8);
  MCR = 4;    { Modem Control Register     }                                    { you could get it using:    }


PROCEDURE Set_DTR_RTS (Com : BYTE; Status : BOOLEAN);
BEGIN
    IF Status
           THEN PORT [COMPort [Com]+MCR] := PORT [COMPort [Com]+MCR] AND $FC
           ELSE PORT [COMPort [Com]+MCR] := PORT [COMPort [Com]+MCR] OR $03;
END;

(*************************************************************************)

Var ChOut,ChIn:Char;
BEGIN
     baudrate:=9600;
     MakeCRC32:=FALSE;
     ClrScr;
     kanal:=4;
     Fos_Init(Kanal);
     Fos_Parms(Kanal,9600,8,'N',1);


     Repeat
           If KeyPressed Then
           Begin
                ChOUT:=readkey;
                Fos_Write(Kanal,ChOUT);
           End;
           If Fos_Avail(Kanal) Then
           Begin
                ChIN:=Fos_Receive(Kanal);
                Fos_Ansi(ChIN);
           End;
     Until Chout='@';

      transferrate:=baudrate;

      HighVideo;
      zeile:='';
      FOR i:=1 TO 41 DO zeile:=zeile + '';
      GotoXY (10,10);
        Write ('' + zeile + ' Download  ZModem ' + 'ͻ');
      GotoXY (10,19);
      Write ('' + '' + zeile + '');
      FOR i:=1 TO 8 DO BEGIN
        GotoXY (10,10 + i);
        Write ('');
        GotoXY (71,10 + i);
        Write ('');
      END;  (* of FOR *)
      zeile:='';
      FOR i:=1 TO 60 DO zeile:=zeile + '';
      zeile:=zeile + '';
      GotoXY (10,12);
      Write (zeile);
      GotoXY (10,17);
      Write (zeile);
      LowVideo;

      Window (11,11,70,19);

      GotoXY (10,1);
      Write ('File .... ');
      GotoXY (10,3);
      Write ('Check....');
      GotoXY (10,4);
      Write ('Time ....');
      GotoXY (10,5);
      Write ('Time ....');
      GotoXY (10,6);
      Write ('Errors ..');
      GotoXY (30,3);
      Write ('Blk-Size ');
      GotoXY (30,4);
      Write ('CPS .....');
      GotoXY (55,4);
      Write ('%');
      GotoXY (30,5);
      Write ('Size ....');
      GotoXY (30,6);
      Write ('Bytes ...');

      ZmodemReceive ('',transferrate,kanal,@DisplayFileData,@DisplayTransferData,fehler);

      Window (1,1,80,25);

      GotoXY (1,20);
      Write (#7);

      taste:=ReadKey;
      IF (taste = #0) AND KeyPressed THEN taste:=ReadKey;

      IF NOT (fehler) THEN Write ('bertragungsfehler');
      WriteLn;
      WriteLn;
     Fos_HangUp(Kanal);
     Fos_Close(Kanal);
END.