// chkmailDlg.cpp : implementation file
//

#include "stdafx.h"
#include "chkmail.h"
#include "chkmailDlg.h"

//#include "mapi.h"
#include "Mmsystem.h"

#include "Pop3Client.h"
#include "SmtpClient.h"

//#include "CfgDlg.h"
#include "ConfigSheet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif



/////////////////////////////////////////////////////////////////////////////
// CChkmailDlg dialog

CChkmailDlg::CChkmailDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CChkmailDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CChkmailDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CChkmailDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CChkmailDlg)
	DDX_Control(pDX, IDC_COPYRIGHT, m_copyright);
	DDX_Control(pDX, IDC_RESUME, m_resume);
	DDX_Control(pDX, IDC_REF, m_ref);
	DDX_Control(pDX, IDC_TITLE, m_title);
	DDX_Control(pDX, IDC_LOGO, m_logo);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CChkmailDlg, CDialog)
	//{{AFX_MSG_MAP(CChkmailDlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_WM_TIMER()
	ON_WM_DESTROY()
	ON_BN_CLICKED(IDC_LOGO, OnLogo)
	ON_BN_CLICKED(IDC_REF, OnRef)
	ON_BN_CLICKED(IDC_RESUME, OnResume)
	//}}AFX_MSG_MAP
	ON_MESSAGE(WM_USER+43,OnTrayNotify)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CChkmailDlg message handlers

BOOL CChkmailDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here

	//   
	SetWindowText("Checkmail 2.0");

	m_title.m_bktransparent=TRUE;
	m_title.SetColor(RGB(0,0,255),RGB(0,0,0));
	m_title.SetLabelFont(36,TRUE,TRUE);

	m_ref.m_bktransparent=TRUE;
	m_ref.SetColor(RGB(0,0,255),RGB(0,0,0));
	m_ref.SetLabelFont(14,TRUE,FALSE,TRUE);
	m_ref.SetLabelCursor(IDC_HANDCURSOR);
	
	m_resume.SetColor(RGB(255,255,255),RGB(0,0,255));
	m_resume.SetLabelFont(14,TRUE);
	m_resume.SetLabelCursor(IDC_HANDCURSOR);

	m_copyright.m_bktransparent=TRUE;
	m_copyright.SetColor(RGB(0,0,255),RGB(0,0,255));
	m_copyright.SetLabelFont(14,TRUE);
	
	//  WinSock 2
	WSAData wsaData;
	if( WSAStartup(0x202,&wsaData)==SOCKET_ERROR )
	{
		m_string.Format("WSAStartup failed with error ",WSAGetLastError());
		MessageBox(m_string,"CheckMail",MB_SYSTEMMODAL|MB_ICONEXCLAMATION);
		EndDialog(0);
		return FALSE;
	}

	m_lastcount=0;	//  (   ) 
	m_isbusy=FALSE;	//    CheckMail()

	//     SysTray
	m_nf.cbSize=sizeof(NOTIFYICONDATA);
	m_nf.hIcon=m_hIcon;
	m_nf.uFlags=NIF_ICON|NIF_MESSAGE|NIF_TIP;
	m_nf.uCallbackMessage=WM_USER+43;
	m_nf.hWnd=GetSafeHwnd();
	m_nf.uID=123;
	memset(m_nf.szTip,0,sizeof(m_nf.szTip));
	strcpy(m_nf.szTip,"  ( ) ");
	Shell_NotifyIcon(NIM_ADD,&m_nf);

	m_hIcon = AfxGetApp()->LoadIcon(IDI_ICON1); // 
	
	//     .
	m_timeout=AfxGetApp()->GetProfileInt("Setting","timeout",60000);
	m_wave=AfxGetApp()->GetProfileString("Setting","sound","");
	m_command=AfxGetApp()->GetProfileString("Setting","command","");

	m_forward=AfxGetApp()->GetProfileInt("Setting","forward",0);
	
	m_address=AfxGetApp()->GetProfileString("Setting","forward address","");
	
	m_server=AfxGetApp()->GetProfileString("Setting","server","");
	m_user=AfxGetApp()->GetProfileString("Setting","user","");
	m_pass=AfxGetApp()->GetProfileString("Setting","pass","");

	//      
	SetTimer(2,m_timeout,NULL);

	// , ""  
	SetTimer(1,10,NULL);

	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CChkmailDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		//      

		CPaintDC dc(this); // device context for painting
		
		CDC memDC;
		memDC.CreateCompatibleDC(&dc);

		CRect rectangle;
		GetClientRect(rectangle);
		int nWidth = rectangle.Width(); 
		int nHeight = rectangle.Height();

		CBitmap bm;
		bm.CreateCompatibleBitmap(&dc,nWidth,nHeight);
		memDC.SelectObject(&bm);

		for(int i = 0; i < nHeight; ++i) // Fill in strip
		{
			rectangle.SetRect(0, i, nWidth, i + 1);
			memDC.FillSolidRect(&rectangle, 
				RGB(0,0,255 - MulDiv(i, 255, nHeight)));
		}
		
		dc.BitBlt(0,0,nWidth,nHeight,&memDC,0,0,SRCCOPY);

	}
}

void CChkmailDlg::OnTimer(UINT nIDEvent)
{
	if(nIDEvent==2)
	{
		if( !m_isbusy && !m_server.IsEmpty() 
			&& !m_user.IsEmpty() && !m_pass.IsEmpty() )
		{
			CheckMail();
			return;
		}
	}
	
	//     
	if(nIDEvent==1)
	{
		KillTimer(1);
		ShowWindow(SW_HIDE);
		return;
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CChkmailDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}


void CChkmailDlg::OnTrayNotify(WPARAM wParam, LPARAM lParam)
{
	if( wParam==123 && lParam==WM_RBUTTONDOWN )
	{
		//  PopupMenu " "
		HMENU m_hPopupMenu=CreatePopupMenu();
		
		AppendMenu(m_hPopupMenu,MF_STRING,3,"");
		if( m_server.IsEmpty() || m_user.IsEmpty() || m_pass.IsEmpty() )
			//    ,   
			AppendMenu(m_hPopupMenu,MF_GRAYED,4," ");
		else
			AppendMenu(m_hPopupMenu,MF_STRING,4," ");
		AppendMenu(m_hPopupMenu,MF_SEPARATOR,0,"");
		AppendMenu(m_hPopupMenu,MF_STRING,2," ");
		AppendMenu(m_hPopupMenu,MF_SEPARATOR,0,"");
		AppendMenu(m_hPopupMenu,MF_STRING,1,"");
		
		POINT p;
		GetCursorPos(&p);
		
		SetForegroundWindow();
		int m_idMenu=TrackPopupMenu(m_hPopupMenu,
			TPM_RIGHTALIGN | TPM_BOTTOMALIGN | 
			TPM_LEFTBUTTON | TPM_RETURNCMD,
			p.x,p.y,0,GetSafeHwnd(),NULL);

		DestroyMenu(m_hPopupMenu);

		//   
		if( m_idMenu==1 )
		{
			EndDialog(0); //   
			return;
		}
		if( m_idMenu==2 )
		{
			ShowWindow(SW_SHOW);	//  " "
			return;
		}		
		if( m_idMenu==3 )
		{
			//  
			CConfigSheet cfgdlg("");
			//    <>
			if( cfgdlg.DoModal()==IDOK )
			{
				UpdateData();
				m_server=((CConncfgPage*)cfgdlg.GetPage(0))->m_server;
				m_user=((CConncfgPage*)cfgdlg.GetPage(0))->m_user;
				m_pass=((CConncfgPage*)cfgdlg.GetPage(0))->m_pass;
				AfxGetApp()->WriteProfileString("Setting","server",m_server);
				AfxGetApp()->WriteProfileString("Setting","user",m_user);
				AfxGetApp()->WriteProfileString("Setting","pass",m_pass);

				m_timeout=((CAddoptPage*)cfgdlg.GetPage(1))->m_timeout*1000;
				m_wave=((CAddoptPage*)cfgdlg.GetPage(1))->m_wave;
				m_command=((CAddoptPage*)cfgdlg.GetPage(1))->m_command;
				m_forward=((CAddoptPage*)cfgdlg.GetPage(1))->m_forward;
				m_address=((CAddoptPage*)cfgdlg.GetPage(1))->m_address;

				AfxGetApp()->WriteProfileInt("Setting","timeout",m_timeout);
				AfxGetApp()->WriteProfileString("Setting","sound",m_wave);
				AfxGetApp()->WriteProfileString("Setting","command",m_command);
				AfxGetApp()->WriteProfileInt("Setting","forward",m_forward);
				AfxGetApp()->WriteProfileString("Setting","forward address",m_address);

				SetTimer(2,m_timeout,NULL);
				return;
			}

		}
		
		if( m_idMenu==4 )
		{
			//    
			if( !m_isbusy )
				CheckMail();
			return;
		}		
	}

	if (wParam==123 && lParam==WM_LBUTTONDOWN)		
	{
		//    
		
		//    ,   
		if( m_lastcount==0 )
		{
			if( !m_isbusy && !m_server.IsEmpty() 
				&& !m_user.IsEmpty() && !m_pass.IsEmpty() )
				CheckMail();
			return;
		}
		
		//   ,   ,
		//    
		if(!m_command.IsEmpty())
			ShellExecute(NULL,"Open",m_command,NULL,
				NULL,SW_SHOWNORMAL);
	}
}

void CChkmailDlg::OnDestroy() 
{
	CDialog::OnDestroy();
	
	// TODO: Add your message handler code here
	//    
	// - WinSock
	WSACleanup();
	//    SysTray
	Shell_NotifyIcon(NIM_DELETE,&m_nf);	
}

//   
void CChkmailDlg::CheckMail()
{
	m_isbusy=TRUE;	//   "  "
	
	//       POP3
	CPop3Client pop; 
	
	//   
	if( !pop.Connect(m_server) ) 
	{
		MessageBox(pop.GetMessage(),"Can't check mail",MB_SYSTEMMODAL | MB_ICONEXCLAMATION);
		EndDialog(0);
		return;
	}
	//      
	if( !pop.Login(m_user,m_pass) )
	{
		pop.Disconnect();
		MessageBox(pop.GetMessage(),"Can't check mail",MB_SYSTEMMODAL | MB_ICONEXCLAMATION);
		EndDialog(0);
		return;
	}

	//   ,  .  SysTray  .
	if( pop.m_messcount==0 )
	{
		m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
		m_nf.hIcon=m_hIcon;
		strcpy(m_nf.szTip,"  ( ) ");
		Shell_NotifyIcon(NIM_MODIFY,&m_nf);
		m_hIcon = AfxGetApp()->LoadIcon(IDI_ICON1);
		pop.Disconnect();
		m_lastcount=0;
		m_isbusy=FALSE;
		return;
	}

	//   ( . )  , 
	if( pop.m_messcount==m_lastcount )
	{
		pop.Disconnect();
		m_isbusy=FALSE;
		return;
	}
	
	//    (m_messcount-m_lastcount )
	char tooltip[64];
	memset(tooltip,0,64);
	strcpy(tooltip,"   (");
	
	char buf[5];
	itoa(pop.m_messcount,buf,10);
	strcat(tooltip,buf);
	strcat(tooltip,")  ");
	
	m_nf.hIcon=m_hIcon;
	strcpy(m_nf.szTip,tooltip);
	Shell_NotifyIcon(NIM_MODIFY,&m_nf);

	//    "  "
	if( m_forward )
	{
	CSmtpClient smtp;
	smtp.Connect(m_server,"mga");
	
	int m_messsize=0;
	char* m_messbody=NULL;

	for(unsigned int i=m_lastcount;i<pop.m_messcount;i++)
	{
		m_messsize=pop.GetMessageSize(i+1);
		m_messbody=(char*)malloc(m_messsize+4096);

		memset(m_messbody,0,m_messsize);
		if(!pop.Retr(i+1,m_messbody))
			MessageBox(pop.m_message,"Retr() is failed",0);
		if( !smtp.SendMail("CheckMail@Forward",m_address,m_messbody,m_messsize))
		{
			MessageBox(smtp.m_message,"",0);
		}
		free(m_messbody);
	}
	}
	m_lastcount=pop.m_messcount;

	m_isbusy=FALSE;

	//   POP3 
	pop.Disconnect();
	//   "  "
	PlaySound(m_wave,NULL,SND_FILENAME);
}

//         
void CChkmailDlg::OnLogo() 
{
	ShellExecute(NULL,"Open","http://mga.webjump.com",NULL,NULL,SW_MAXIMIZE);	
}

//        
void CChkmailDlg::OnRef() 
{
	ShellExecute(NULL,"Open","http://mga.webjump.com/checkm2.zip",NULL,NULL,SW_MINIMIZE);
}

//    "" <>
void CChkmailDlg::OnResume() 
{
	ShowWindow(SW_HIDE);
}
